@echo off 
REM Semarchy Convergence Pulse Profiling
REM Copyright(c) 2013-2014 Semarchy
REM
REM ENVIRONMENT VARIABLES:
REM Pulse uses the PULSE_HOME variable that should point to the root directory
REM where PULSE is installed. If not set, then Pulse will try to guess this 
REM variable assuming this .bat is in PULSE_HOME/bin

setlocal
set "CURRENT_DIR=%cd%"
REM Calculate PULSE_HOME if not defined
if not "%PULSE_HOME%" == "" goto FOUND_HOME
cd %~dp0/..
set "PULSE_HOME=%cd%"

:FOUND_HOME
if exist "%PULSE_HOME%\bin\profiling.bat" goto START_PULSE
echo The PULSE_HOME environment variable is not defined correctly
echo This environment variable is needed to run this program
goto END


:START_PULSE
cd %PULSE_HOME%
java -cp "lib\*;" com.semarchy.pulse.profiling.Profiling %*

REM reset directory
cd %CURRENT_DIR%

:END
endlocal